| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
vector_query.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | areCollinear (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | areOrthogonal (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | areOrthonormal (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | isCompNull (vecType< T, P > const &v, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | isNormalized (vecType< T, P > const &v, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL bool | isNull (vecType< T, P > const &v, T const &epsilon)

## Detailed Description

GLM_GTX_vector_query

See also
  GLM Core (dependence)

Definition in file vector_query.hpp.